Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ARBImaging

    java.lang.Object
      org.lwjgl.opengl.ARBImaging

    public final class ARBImaging

extends java.lang.Object

Field Summary
`static int` | `GL_BLEND_COLOR`
`static int` | `GL_BLEND_EQUATION`
`static int` | `GL_COLOR_MATRIX`
`static int` | `GL_COLOR_MATRIX_STACK_DEPTH`
`static int` | `GL_COLOR_TABLE`
`static int` | `GL_COLOR_TABLE_ALPHA_SIZE`
`static int` | `GL_COLOR_TABLE_BIAS`
`static int` | `GL_COLOR_TABLE_BLUE_SIZE`
`static int` | `GL_COLOR_TABLE_FORMAT`
`static int` | `GL_COLOR_TABLE_GREEN_SIZE`
`static int` | `GL_COLOR_TABLE_INTENSITY_SIZE`
`static int` | `GL_COLOR_TABLE_LUMINANCE_SIZE`
`static int` | `GL_COLOR_TABLE_RED_SIZE`
`static int` | `GL_COLOR_TABLE_SCALE`
`static int` | `GL_COLOR_TABLE_WIDTH`
`static int` | `GL_CONSTANT_ALPHA`
`static int` | `GL_CONSTANT_BORDER`
`static int` | `GL_CONSTANT_COLOR`
`static int` | `GL_CONVOLUTION_1D`
`static int` | `GL_CONVOLUTION_2D`
`static int` | `GL_CONVOLUTION_BORDER_COLOR`
`static int` | `GL_CONVOLUTION_BORDER_MODE`
`static int` | `GL_CONVOLUTION_FILTER_BIAS`
`static int` | `GL_CONVOLUTION_FILTER_SCALE`
`static int` | `GL_CONVOLUTION_FORMAT`
`static int` | `GL_CONVOLUTION_HEIGHT`
`static int` | `GL_CONVOLUTION_WIDTH`
`static int` | `GL_FUNC_ADD`
`static int` | `GL_FUNC_REVERSE_SUBTRACT`
`static int` | `GL_FUNC_SUBTRACT`
`static int` | `GL_HISTOGRAM`
`static int` | `GL_HISTOGRAM_ALPHA_SIZE`
`static int` | `GL_HISTOGRAM_BLUE_SIZE`
`static int` | `GL_HISTOGRAM_FORMAT`
`static int` | `GL_HISTOGRAM_GREEN_SIZE`
`static int` | `GL_HISTOGRAM_LUMINANCE_SIZE`
`static int` | `GL_HISTOGRAM_RED_SIZE`
`static int` | `GL_HISTOGRAM_SINK`
`static int` | `GL_HISTOGRAM_WIDTH`
`static int` | `GL_IGNORE_BORDER`
`static int` | `GL_MAX`
`static int` | `GL_MAX_COLOR_MATRIX_STACK_DEPTH`
`static int` | `GL_MAX_CONVOLUTION_HEIGHT`
`static int` | `GL_MAX_CONVOLUTION_WIDTH`
`static int` | `GL_MIN`
`static int` | `GL_MINMAX`
`static int` | `GL_MINMAX_FORMAT`
`static int` | `GL_MINMAX_SINK`
`static int` | `GL_ONE_MINUS_CONSTANT_ALPHA`
`static int` | `GL_ONE_MINUS_CONSTANT_COLOR`
`static int` | `GL_POST_COLOR_MATRIX_ALPHA_BIAS`
`static int` | `GL_POST_COLOR_MATRIX_ALPHA_SCALE`
`static int` | `GL_POST_COLOR_MATRIX_BLUE_BIAS`
`static int` | `GL_POST_COLOR_MATRIX_BLUE_SCALE`
`static int` | `GL_POST_COLOR_MATRIX_COLOR_TABLE`
`static int` | `GL_POST_COLOR_MATRIX_GREEN_BIAS`
`static int` | `GL_POST_COLOR_MATRIX_GREEN_SCALE`
`static int` | `GL_POST_COLOR_MATRIX_RED_BIAS`
`static int` | `GL_POST_COLOR_MATRIX_RED_SCALE`
`static int` | `GL_POST_CONVOLUTION_ALPHA_BIAS`
`static int` | `GL_POST_CONVOLUTION_ALPHA_SCALE`
`static int` | `GL_POST_CONVOLUTION_BLUE_BIAS`
`static int` | `GL_POST_CONVOLUTION_BLUE_SCALE`
`static int` | `GL_POST_CONVOLUTION_COLOR_TABLE`
`static int` | `GL_POST_CONVOLUTION_GREEN_BIAS`
`static int` | `GL_POST_CONVOLUTION_GREEN_SCALE`
`static int` | `GL_POST_CONVOLUTION_RED_BIAS`
`static int` | `GL_POST_CONVOLUTION_RED_SCALE`
`static int` | `GL_PROXY_COLOR_TABLE`
`static int` | `GL_PROXY_HISTOGRAM`
`static int` | `GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE`
`static int` | `GL_PROXY_POST_CONVOLUTION_COLOR_TABLE`
`static int` | `GL_REDUCE`
`static int` | `GL_REPLICATE_BORDER`
`static int` | `GL_SEPARABLE_2D`

Method Summary
`static void` | `glBlendColor(float red, float green, float blue, float alpha)`
`static void` | `glBlendEquation(int mode)`
`static void` | `glColorSubTable(int target, int start, int count, int format, int type, java.nio.ByteBuffer data)`
`static void` | `glColorSubTable(int target, int start, int count, int format, int type, java.nio.DoubleBuffer data)`
`static void` | `glColorSubTable(int target, int start, int count, int format, int type, java.nio.FloatBuffer data)`
`static void` | `glColorSubTable(int target, int start, int count, int format, int type, long data_buffer_offset)`
`static void` | `glColorTable(int target, int internalFormat, int width, int format, int type, java.nio.ByteBuffer data)`
`static void` | `glColorTable(int target, int internalFormat, int width, int format, int type, java.nio.DoubleBuffer data)`
`static void` | `glColorTable(int target, int internalFormat, int width, int format, int type, java.nio.FloatBuffer data)`
`static void` | `glColorTable(int target, int internalFormat, int width, int format, int type, long data_buffer_offset)`
`static void` | `glColorTableParameter(int target, int pname, java.nio.FloatBuffer params)`
`static void` | `glColorTableParameter(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, java.nio.ByteBuffer image)`
`static void` | `glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, java.nio.DoubleBuffer image)`
`static void` | `glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, java.nio.FloatBuffer image)`
`static void` | `glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, java.nio.IntBuffer image)`
`static void` | `glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, long image_buffer_offset)`
`static void` | `glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, java.nio.ShortBuffer image)`
`static void` | `glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ByteBuffer image)`
`static void` | `glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.IntBuffer image)`
`static void` | `glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, long image_buffer_offset)`
`static void` | `glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ShortBuffer image)`
`static void` | `glConvolutionParameter(int target, int pname, java.nio.FloatBuffer params)`
`static void` | `glConvolutionParameter(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glConvolutionParameterf(int target, int pname, float params)`
`static void` | `glConvolutionParameteri(int target, int pname, int params)`
`static void` | `glCopyColorSubTable(int target, int start, int x, int y, int width)`
`static void` | `glCopyColorTable(int target, int internalformat, int x, int y, int width)`
`static void` | `glCopyConvolutionFilter1D(int target, int internalformat, int x, int y, int width)`
`static void` | `glCopyConvolutionFilter2D(int target, int internalformat, int x, int y, int width, int height)`
`static void` | `glGetColorTable(int target, int format, int type, java.nio.ByteBuffer data)`
`static void` | `glGetColorTable(int target, int format, int type, java.nio.DoubleBuffer data)`
`static void` | `glGetColorTable(int target, int format, int type, java.nio.FloatBuffer data)`
`static void` | `glGetColorTableParameter(int target, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetColorTableParameter(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glGetConvolutionFilter(int target, int format, int type, java.nio.ByteBuffer image)`
`static void` | `glGetConvolutionFilter(int target, int format, int type, java.nio.DoubleBuffer image)`
`static void` | `glGetConvolutionFilter(int target, int format, int type, java.nio.FloatBuffer image)`
`static void` | `glGetConvolutionFilter(int target, int format, int type, java.nio.IntBuffer image)`
`static void` | `glGetConvolutionFilter(int target, int format, int type, long image_buffer_offset)`
`static void` | `glGetConvolutionFilter(int target, int format, int type, java.nio.ShortBuffer image)`
`static void` | `glGetConvolutionParameter(int target, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetConvolutionParameter(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glGetHistogram(int target, boolean reset, int format, int type, java.nio.ByteBuffer values)`
`static void` | `glGetHistogram(int target, boolean reset, int format, int type, java.nio.DoubleBuffer values)`
`static void` | `glGetHistogram(int target, boolean reset, int format, int type, java.nio.FloatBuffer values)`
`static void` | `glGetHistogram(int target, boolean reset, int format, int type, java.nio.IntBuffer values)`
`static void` | `glGetHistogram(int target, boolean reset, int format, int type, long values_buffer_offset)`
`static void` | `glGetHistogram(int target, boolean reset, int format, int type, java.nio.ShortBuffer values)`
`static void` | `glGetHistogramParameter(int target, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetHistogramParameter(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glGetMinmax(int target, boolean reset, int format, int types, java.nio.ByteBuffer values)`
`static void` | `glGetMinmax(int target, boolean reset, int format, int types, java.nio.DoubleBuffer values)`
`static void` | `glGetMinmax(int target, boolean reset, int format, int types, java.nio.FloatBuffer values)`
`static void` | `glGetMinmax(int target, boolean reset, int format, int types, java.nio.IntBuffer values)`
`static void` | `glGetMinmax(int target, boolean reset, int format, int types, long values_buffer_offset)`
`static void` | `glGetMinmax(int target, boolean reset, int format, int types, java.nio.ShortBuffer values)`
`static void` | `glGetMinmaxParameter(int target, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetMinmaxParameter(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.ByteBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.ByteBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.ByteBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.ByteBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.DoubleBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.DoubleBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.DoubleBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.DoubleBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.IntBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.IntBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.IntBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.IntBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.ShortBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.ShortBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.ShortBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ByteBuffer row, java.nio.ShortBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.ByteBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.ByteBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.ByteBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.ByteBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.DoubleBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.DoubleBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.DoubleBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.DoubleBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.IntBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.IntBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.IntBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.IntBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.ShortBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.ShortBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.ShortBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.DoubleBuffer row, java.nio.ShortBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.ByteBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.ByteBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.ByteBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.ByteBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.DoubleBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.DoubleBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.DoubleBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.DoubleBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.IntBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.IntBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.IntBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.IntBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.ShortBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.ShortBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.ShortBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.FloatBuffer row, java.nio.ShortBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.ByteBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.ByteBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.ByteBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.ByteBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.DoubleBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.DoubleBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.DoubleBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.DoubleBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.IntBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.IntBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.IntBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.IntBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.ShortBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.ShortBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.ShortBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.IntBuffer row, java.nio.ShortBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, long row_buffer_offset, long column_buffer_offset, long span_buffer_offset)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.ByteBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.ByteBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.ByteBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.ByteBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.DoubleBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.DoubleBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.DoubleBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.DoubleBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.IntBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.IntBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.IntBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.IntBuffer column, java.nio.ShortBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.ShortBuffer column, java.nio.ByteBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.ShortBuffer column, java.nio.DoubleBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.ShortBuffer column, java.nio.IntBuffer span)`
`static void` | `glGetSeparableFilter(int target, int format, int type, java.nio.ShortBuffer row, java.nio.ShortBuffer column, java.nio.ShortBuffer span)`
`static void` | `glHistogram(int target, int width, int internalformat, boolean sink)`
`static void` | `glMinmax(int target, int internalformat, boolean sink)`
`static void` | `glResetHistogram(int target)`
`static void` | `glResetMinmax(int target)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ByteBuffer row, java.nio.ByteBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ByteBuffer row, java.nio.DoubleBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ByteBuffer row, java.nio.FloatBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ByteBuffer row, java.nio.IntBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ByteBuffer row, java.nio.ShortBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.DoubleBuffer row, java.nio.ByteBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.DoubleBuffer row, java.nio.DoubleBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.DoubleBuffer row, java.nio.FloatBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.DoubleBuffer row, java.nio.IntBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.DoubleBuffer row, java.nio.ShortBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.FloatBuffer row, java.nio.ByteBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.FloatBuffer row, java.nio.DoubleBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.FloatBuffer row, java.nio.FloatBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.FloatBuffer row, java.nio.IntBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.FloatBuffer row, java.nio.ShortBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.IntBuffer row, java.nio.ByteBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.IntBuffer row, java.nio.DoubleBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.IntBuffer row, java.nio.FloatBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.IntBuffer row, java.nio.IntBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.IntBuffer row, java.nio.ShortBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, long row_buffer_offset, long column_buffer_offset)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ShortBuffer row, java.nio.ByteBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ShortBuffer row, java.nio.DoubleBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ShortBuffer row, java.nio.FloatBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ShortBuffer row, java.nio.IntBuffer column)`
`static void` | `glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, java.nio.ShortBuffer row, java.nio.ShortBuffer column)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_CONSTANT_COLOR

    public static final int GL_CONSTANT_COLOR

See Also:
  Constant Field Values

### GL_ONE_MINUS_CONSTANT_COLOR

    public static final int GL_ONE_MINUS_CONSTANT_COLOR

See Also:
  Constant Field Values

### GL_CONSTANT_ALPHA

    public static final int GL_CONSTANT_ALPHA

See Also:
  Constant Field Values

### GL_ONE_MINUS_CONSTANT_ALPHA

    public static final int GL_ONE_MINUS_CONSTANT_ALPHA

See Also:
  Constant Field Values

### GL_BLEND_COLOR

    public static final int GL_BLEND_COLOR

See Also:
  Constant Field Values

### GL_FUNC_ADD

    public static final int GL_FUNC_ADD

See Also:
  Constant Field Values

### GL_MIN

    public static final int GL_MIN

See Also:
  Constant Field Values

### GL_MAX

    public static final int GL_MAX

See Also:
  Constant Field Values

### GL_BLEND_EQUATION

    public static final int GL_BLEND_EQUATION

See Also:
  Constant Field Values

### GL_FUNC_SUBTRACT

    public static final int GL_FUNC_SUBTRACT

See Also:
  Constant Field Values

### GL_FUNC_REVERSE_SUBTRACT

    public static final int GL_FUNC_REVERSE_SUBTRACT

See Also:
  Constant Field Values

### GL_COLOR_MATRIX

    public static final int GL_COLOR_MATRIX

See Also:
  Constant Field Values

### GL_COLOR_MATRIX_STACK_DEPTH

    public static final int GL_COLOR_MATRIX_STACK_DEPTH

See Also:
  Constant Field Values

### GL_MAX_COLOR_MATRIX_STACK_DEPTH

    public static final int GL_MAX_COLOR_MATRIX_STACK_DEPTH

See Also:
  Constant Field Values

### GL_POST_COLOR_MATRIX_RED_SCALE

    public static final int GL_POST_COLOR_MATRIX_RED_SCALE

See Also:
  Constant Field Values

### GL_POST_COLOR_MATRIX_GREEN_SCALE

    public static final int GL_POST_COLOR_MATRIX_GREEN_SCALE

See Also:
  Constant Field Values

### GL_POST_COLOR_MATRIX_BLUE_SCALE

    public static final int GL_POST_COLOR_MATRIX_BLUE_SCALE

See Also:
  Constant Field Values

### GL_POST_COLOR_MATRIX_ALPHA_SCALE

    public static final int GL_POST_COLOR_MATRIX_ALPHA_SCALE

See Also:
  Constant Field Values

### GL_POST_COLOR_MATRIX_RED_BIAS

    public static final int GL_POST_COLOR_MATRIX_RED_BIAS

See Also:
  Constant Field Values

### GL_POST_COLOR_MATRIX_GREEN_BIAS

    public static final int GL_POST_COLOR_MATRIX_GREEN_BIAS

See Also:
  Constant Field Values

### GL_POST_COLOR_MATRIX_BLUE_BIAS

    public static final int GL_POST_COLOR_MATRIX_BLUE_BIAS

See Also:
  Constant Field Values

### GL_POST_COLOR_MATRIX_ALPHA_BIAS

    public static final int GL_POST_COLOR_MATRIX_ALPHA_BIAS

See Also:
  Constant Field Values

### GL_COLOR_TABLE

    public static final int GL_COLOR_TABLE

See Also:
  Constant Field Values

### GL_POST_CONVOLUTION_COLOR_TABLE

    public static final int GL_POST_CONVOLUTION_COLOR_TABLE

See Also:
  Constant Field Values

### GL_POST_COLOR_MATRIX_COLOR_TABLE

    public static final int GL_POST_COLOR_MATRIX_COLOR_TABLE

See Also:
  Constant Field Values

### GL_PROXY_COLOR_TABLE

    public static final int GL_PROXY_COLOR_TABLE

See Also:
  Constant Field Values

### GL_PROXY_POST_CONVOLUTION_COLOR_TABLE

    public static final int GL_PROXY_POST_CONVOLUTION_COLOR_TABLE

See Also:
  Constant Field Values

### GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE

    public static final int GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE

See Also:
  Constant Field Values

### GL_COLOR_TABLE_SCALE

    public static final int GL_COLOR_TABLE_SCALE

See Also:
  Constant Field Values

### GL_COLOR_TABLE_BIAS

    public static final int GL_COLOR_TABLE_BIAS

See Also:
  Constant Field Values

### GL_COLOR_TABLE_FORMAT

    public static final int GL_COLOR_TABLE_FORMAT

See Also:
  Constant Field Values

### GL_COLOR_TABLE_WIDTH

    public static final int GL_COLOR_TABLE_WIDTH

See Also:
  Constant Field Values

### GL_COLOR_TABLE_RED_SIZE

    public static final int GL_COLOR_TABLE_RED_SIZE

See Also:
  Constant Field Values

### GL_COLOR_TABLE_GREEN_SIZE

    public static final int GL_COLOR_TABLE_GREEN_SIZE

See Also:
  Constant Field Values

### GL_COLOR_TABLE_BLUE_SIZE

    public static final int GL_COLOR_TABLE_BLUE_SIZE

See Also:
  Constant Field Values

### GL_COLOR_TABLE_ALPHA_SIZE

    public static final int GL_COLOR_TABLE_ALPHA_SIZE

See Also:
  Constant Field Values

### GL_COLOR_TABLE_LUMINANCE_SIZE

    public static final int GL_COLOR_TABLE_LUMINANCE_SIZE

See Also:
  Constant Field Values

### GL_COLOR_TABLE_INTENSITY_SIZE

    public static final int GL_COLOR_TABLE_INTENSITY_SIZE

See Also:
  Constant Field Values

### GL_CONVOLUTION_1D

    public static final int GL_CONVOLUTION_1D

See Also:
  Constant Field Values

### GL_CONVOLUTION_2D

    public static final int GL_CONVOLUTION_2D

See Also:
  Constant Field Values

### GL_SEPARABLE_2D

    public static final int GL_SEPARABLE_2D

See Also:
  Constant Field Values

### GL_CONVOLUTION_BORDER_MODE

    public static final int GL_CONVOLUTION_BORDER_MODE

See Also:
  Constant Field Values

### GL_CONVOLUTION_FILTER_SCALE

    public static final int GL_CONVOLUTION_FILTER_SCALE

See Also:
  Constant Field Values

### GL_CONVOLUTION_FILTER_BIAS

    public static final int GL_CONVOLUTION_FILTER_BIAS

See Also:
  Constant Field Values

### GL_REDUCE

    public static final int GL_REDUCE

See Also:
  Constant Field Values

### GL_CONVOLUTION_FORMAT

    public static final int GL_CONVOLUTION_FORMAT

See Also:
  Constant Field Values

### GL_CONVOLUTION_WIDTH

    public static final int GL_CONVOLUTION_WIDTH

See Also:
  Constant Field Values

### GL_CONVOLUTION_HEIGHT

    public static final int GL_CONVOLUTION_HEIGHT

See Also:
  Constant Field Values

### GL_MAX_CONVOLUTION_WIDTH

    public static final int GL_MAX_CONVOLUTION_WIDTH

See Also:
  Constant Field Values

### GL_MAX_CONVOLUTION_HEIGHT

    public static final int GL_MAX_CONVOLUTION_HEIGHT

See Also:
  Constant Field Values

### GL_POST_CONVOLUTION_RED_SCALE

    public static final int GL_POST_CONVOLUTION_RED_SCALE

See Also:
  Constant Field Values

### GL_POST_CONVOLUTION_GREEN_SCALE

    public static final int GL_POST_CONVOLUTION_GREEN_SCALE

See Also:
  Constant Field Values

### GL_POST_CONVOLUTION_BLUE_SCALE

    public static final int GL_POST_CONVOLUTION_BLUE_SCALE

See Also:
  Constant Field Values

### GL_POST_CONVOLUTION_ALPHA_SCALE

    public static final int GL_POST_CONVOLUTION_ALPHA_SCALE

See Also:
  Constant Field Values

### GL_POST_CONVOLUTION_RED_BIAS

    public static final int GL_POST_CONVOLUTION_RED_BIAS

See Also:
  Constant Field Values

### GL_POST_CONVOLUTION_GREEN_BIAS

    public static final int GL_POST_CONVOLUTION_GREEN_BIAS

See Also:
  Constant Field Values

### GL_POST_CONVOLUTION_BLUE_BIAS

    public static final int GL_POST_CONVOLUTION_BLUE_BIAS

See Also:
  Constant Field Values

### GL_POST_CONVOLUTION_ALPHA_BIAS

    public static final int GL_POST_CONVOLUTION_ALPHA_BIAS

See Also:
  Constant Field Values

### GL_IGNORE_BORDER

    public static final int GL_IGNORE_BORDER

See Also:
  Constant Field Values

### GL_CONSTANT_BORDER

    public static final int GL_CONSTANT_BORDER

See Also:
  Constant Field Values

### GL_REPLICATE_BORDER

    public static final int GL_REPLICATE_BORDER

See Also:
  Constant Field Values

### GL_CONVOLUTION_BORDER_COLOR

    public static final int GL_CONVOLUTION_BORDER_COLOR

See Also:
  Constant Field Values

### GL_HISTOGRAM

    public static final int GL_HISTOGRAM

See Also:
  Constant Field Values

### GL_PROXY_HISTOGRAM

    public static final int GL_PROXY_HISTOGRAM

See Also:
  Constant Field Values

### GL_HISTOGRAM_WIDTH

    public static final int GL_HISTOGRAM_WIDTH

See Also:
  Constant Field Values

### GL_HISTOGRAM_FORMAT

    public static final int GL_HISTOGRAM_FORMAT

See Also:
  Constant Field Values

### GL_HISTOGRAM_RED_SIZE

    public static final int GL_HISTOGRAM_RED_SIZE

See Also:
  Constant Field Values

### GL_HISTOGRAM_GREEN_SIZE

    public static final int GL_HISTOGRAM_GREEN_SIZE

See Also:
  Constant Field Values

### GL_HISTOGRAM_BLUE_SIZE

    public static final int GL_HISTOGRAM_BLUE_SIZE

See Also:
  Constant Field Values

### GL_HISTOGRAM_ALPHA_SIZE

    public static final int GL_HISTOGRAM_ALPHA_SIZE

See Also:
  Constant Field Values

### GL_HISTOGRAM_LUMINANCE_SIZE

    public static final int GL_HISTOGRAM_LUMINANCE_SIZE

See Also:
  Constant Field Values

### GL_HISTOGRAM_SINK

    public static final int GL_HISTOGRAM_SINK

See Also:
  Constant Field Values

### GL_MINMAX

    public static final int GL_MINMAX

See Also:
  Constant Field Values

### GL_MINMAX_FORMAT

    public static final int GL_MINMAX_FORMAT

See Also:
  Constant Field Values

### GL_MINMAX_SINK

    public static final int GL_MINMAX_SINK

See Also:
  Constant Field Values

Method Detail

### glColorTable

    public static void glColorTable(int target,
                                    int internalFormat,
                                    int width,
                                    int format,
                                    int type,
                                    java.nio.ByteBuffer data)

### glColorTable

    public static void glColorTable(int target,
                                    int internalFormat,
                                    int width,
                                    int format,
                                    int type,
                                    java.nio.DoubleBuffer data)

### glColorTable

    public static void glColorTable(int target,
                                    int internalFormat,
                                    int width,
                                    int format,
                                    int type,
                                    java.nio.FloatBuffer data)

### glColorTable

    public static void glColorTable(int target,
                                    int internalFormat,
                                    int width,
                                    int format,
                                    int type,
                                    long data_buffer_offset)

### glColorSubTable

    public static void glColorSubTable(int target,
                                       int start,
                                       int count,
                                       int format,
                                       int type,
                                       java.nio.ByteBuffer data)

### glColorSubTable

    public static void glColorSubTable(int target,
                                       int start,
                                       int count,
                                       int format,
                                       int type,
                                       java.nio.DoubleBuffer data)

### glColorSubTable

    public static void glColorSubTable(int target,
                                       int start,
                                       int count,
                                       int format,
                                       int type,
                                       java.nio.FloatBuffer data)

### glColorSubTable

    public static void glColorSubTable(int target,
                                       int start,
                                       int count,
                                       int format,
                                       int type,
                                       long data_buffer_offset)

### glColorTableParameter

    public static void glColorTableParameter(int target,
                                             int pname,
                                             java.nio.IntBuffer params)

### glColorTableParameter

    public static void glColorTableParameter(int target,
                                             int pname,
                                             java.nio.FloatBuffer params)

### glCopyColorSubTable

    public static void glCopyColorSubTable(int target,
                                           int start,
                                           int x,
                                           int y,
                                           int width)

### glCopyColorTable

    public static void glCopyColorTable(int target,
                                        int internalformat,
                                        int x,
                                        int y,
                                        int width)

### glGetColorTable

    public static void glGetColorTable(int target,
                                       int format,
                                       int type,
                                       java.nio.ByteBuffer data)

### glGetColorTable

    public static void glGetColorTable(int target,
                                       int format,
                                       int type,
                                       java.nio.DoubleBuffer data)

### glGetColorTable

    public static void glGetColorTable(int target,
                                       int format,
                                       int type,
                                       java.nio.FloatBuffer data)

### glGetColorTableParameter

    public static void glGetColorTableParameter(int target,
                                                int pname,
                                                java.nio.IntBuffer params)

### glGetColorTableParameter

    public static void glGetColorTableParameter(int target,
                                                int pname,
                                                java.nio.FloatBuffer params)

### glBlendEquation

    public static void glBlendEquation(int mode)

### glBlendColor

    public static void glBlendColor(float red,
                                    float green,
                                    float blue,
                                    float alpha)

### glHistogram

    public static void glHistogram(int target,
                                   int width,
                                   int internalformat,
                                   boolean sink)

### glResetHistogram

    public static void glResetHistogram(int target)

### glGetHistogram

    public static void glGetHistogram(int target,
                                      boolean reset,
                                      int format,
                                      int type,
                                      java.nio.ByteBuffer values)

### glGetHistogram

    public static void glGetHistogram(int target,
                                      boolean reset,
                                      int format,
                                      int type,
                                      java.nio.DoubleBuffer values)

### glGetHistogram

    public static void glGetHistogram(int target,
                                      boolean reset,
                                      int format,
                                      int type,
                                      java.nio.FloatBuffer values)

### glGetHistogram

    public static void glGetHistogram(int target,
                                      boolean reset,
                                      int format,
                                      int type,
                                      java.nio.IntBuffer values)

### glGetHistogram

    public static void glGetHistogram(int target,
                                      boolean reset,
                                      int format,
                                      int type,
                                      java.nio.ShortBuffer values)

### glGetHistogram

    public static void glGetHistogram(int target,
                                      boolean reset,
                                      int format,
                                      int type,
                                      long values_buffer_offset)

### glGetHistogramParameter

    public static void glGetHistogramParameter(int target,
                                               int pname,
                                               java.nio.FloatBuffer params)

### glGetHistogramParameter

    public static void glGetHistogramParameter(int target,
                                               int pname,
                                               java.nio.IntBuffer params)

### glMinmax

    public static void glMinmax(int target,
                                int internalformat,
                                boolean sink)

### glResetMinmax

    public static void glResetMinmax(int target)

### glGetMinmax

    public static void glGetMinmax(int target,
                                   boolean reset,
                                   int format,
                                   int types,
                                   java.nio.ByteBuffer values)

### glGetMinmax

    public static void glGetMinmax(int target,
                                   boolean reset,
                                   int format,
                                   int types,
                                   java.nio.DoubleBuffer values)

### glGetMinmax

    public static void glGetMinmax(int target,
                                   boolean reset,
                                   int format,
                                   int types,
                                   java.nio.FloatBuffer values)

### glGetMinmax

    public static void glGetMinmax(int target,
                                   boolean reset,
                                   int format,
                                   int types,
                                   java.nio.IntBuffer values)

### glGetMinmax

    public static void glGetMinmax(int target,
                                   boolean reset,
                                   int format,
                                   int types,
                                   java.nio.ShortBuffer values)

### glGetMinmax

    public static void glGetMinmax(int target,
                                   boolean reset,
                                   int format,
                                   int types,
                                   long values_buffer_offset)

### glGetMinmaxParameter

    public static void glGetMinmaxParameter(int target,
                                            int pname,
                                            java.nio.FloatBuffer params)

### glGetMinmaxParameter

    public static void glGetMinmaxParameter(int target,
                                            int pname,
                                            java.nio.IntBuffer params)

### glConvolutionFilter1D

    public static void glConvolutionFilter1D(int target,
                                             int internalformat,
                                             int width,
                                             int format,
                                             int type,
                                             java.nio.ByteBuffer image)

### glConvolutionFilter1D

    public static void glConvolutionFilter1D(int target,
                                             int internalformat,
                                             int width,
                                             int format,
                                             int type,
                                             java.nio.DoubleBuffer image)

### glConvolutionFilter1D

    public static void glConvolutionFilter1D(int target,
                                             int internalformat,
                                             int width,
                                             int format,
                                             int type,
                                             java.nio.FloatBuffer image)

### glConvolutionFilter1D

    public static void glConvolutionFilter1D(int target,
                                             int internalformat,
                                             int width,
                                             int format,
                                             int type,
                                             java.nio.IntBuffer image)

### glConvolutionFilter1D

    public static void glConvolutionFilter1D(int target,
                                             int internalformat,
                                             int width,
                                             int format,
                                             int type,
                                             java.nio.ShortBuffer image)

### glConvolutionFilter1D

    public static void glConvolutionFilter1D(int target,
                                             int internalformat,
                                             int width,
                                             int format,
                                             int type,
                                             long image_buffer_offset)

### glConvolutionFilter2D

    public static void glConvolutionFilter2D(int target,
                                             int internalformat,
                                             int width,
                                             int height,
                                             int format,
                                             int type,
                                             java.nio.ByteBuffer image)

### glConvolutionFilter2D

    public static void glConvolutionFilter2D(int target,
                                             int internalformat,
                                             int width,
                                             int height,
                                             int format,
                                             int type,
                                             java.nio.IntBuffer image)

### glConvolutionFilter2D

    public static void glConvolutionFilter2D(int target,
                                             int internalformat,
                                             int width,
                                             int height,
                                             int format,
                                             int type,
                                             java.nio.ShortBuffer image)

### glConvolutionFilter2D

    public static void glConvolutionFilter2D(int target,
                                             int internalformat,
                                             int width,
                                             int height,
                                             int format,
                                             int type,
                                             long image_buffer_offset)

### glConvolutionParameterf

    public static void glConvolutionParameterf(int target,
                                               int pname,
                                               float params)

### glConvolutionParameter

    public static void glConvolutionParameter(int target,
                                              int pname,
                                              java.nio.FloatBuffer params)

### glConvolutionParameteri

    public static void glConvolutionParameteri(int target,
                                               int pname,
                                               int params)

### glConvolutionParameter

    public static void glConvolutionParameter(int target,
                                              int pname,
                                              java.nio.IntBuffer params)

### glCopyConvolutionFilter1D

    public static void glCopyConvolutionFilter1D(int target,
                                                 int internalformat,
                                                 int x,
                                                 int y,
                                                 int width)

### glCopyConvolutionFilter2D

    public static void glCopyConvolutionFilter2D(int target,
                                                 int internalformat,
                                                 int x,
                                                 int y,
                                                 int width,
                                                 int height)

### glGetConvolutionFilter

    public static void glGetConvolutionFilter(int target,
                                              int format,
                                              int type,
                                              java.nio.ByteBuffer image)

### glGetConvolutionFilter

    public static void glGetConvolutionFilter(int target,
                                              int format,
                                              int type,
                                              java.nio.DoubleBuffer image)

### glGetConvolutionFilter

    public static void glGetConvolutionFilter(int target,
                                              int format,
                                              int type,
                                              java.nio.FloatBuffer image)

### glGetConvolutionFilter

    public static void glGetConvolutionFilter(int target,
                                              int format,
                                              int type,
                                              java.nio.IntBuffer image)

### glGetConvolutionFilter

    public static void glGetConvolutionFilter(int target,
                                              int format,
                                              int type,
                                              java.nio.ShortBuffer image)

### glGetConvolutionFilter

    public static void glGetConvolutionFilter(int target,
                                              int format,
                                              int type,
                                              long image_buffer_offset)

### glGetConvolutionParameter

    public static void glGetConvolutionParameter(int target,
                                                 int pname,
                                                 java.nio.FloatBuffer params)

### glGetConvolutionParameter

    public static void glGetConvolutionParameter(int target,
                                                 int pname,
                                                 java.nio.IntBuffer params)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.ByteBuffer row,
                                           java.nio.ByteBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.ByteBuffer row,
                                           java.nio.DoubleBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.ByteBuffer row,
                                           java.nio.FloatBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.ByteBuffer row,
                                           java.nio.IntBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.ByteBuffer row,
                                           java.nio.ShortBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.DoubleBuffer row,
                                           java.nio.ByteBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.DoubleBuffer row,
                                           java.nio.DoubleBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.DoubleBuffer row,
                                           java.nio.FloatBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.DoubleBuffer row,
                                           java.nio.IntBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.DoubleBuffer row,
                                           java.nio.ShortBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.FloatBuffer row,
                                           java.nio.ByteBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.FloatBuffer row,
                                           java.nio.DoubleBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.FloatBuffer row,
                                           java.nio.FloatBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.FloatBuffer row,
                                           java.nio.IntBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.FloatBuffer row,
                                           java.nio.ShortBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.IntBuffer row,
                                           java.nio.ByteBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.IntBuffer row,
                                           java.nio.DoubleBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.IntBuffer row,
                                           java.nio.FloatBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.IntBuffer row,
                                           java.nio.IntBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.IntBuffer row,
                                           java.nio.ShortBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.ShortBuffer row,
                                           java.nio.ByteBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.ShortBuffer row,
                                           java.nio.DoubleBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.ShortBuffer row,
                                           java.nio.FloatBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.ShortBuffer row,
                                           java.nio.IntBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           java.nio.ShortBuffer row,
                                           java.nio.ShortBuffer column)

### glSeparableFilter2D

    public static void glSeparableFilter2D(int target,
                                           int internalformat,
                                           int width,
                                           int height,
                                           int format,
                                           int type,
                                           long row_buffer_offset,
                                           long column_buffer_offset)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ByteBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.DoubleBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.FloatBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.IntBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.ByteBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.DoubleBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.IntBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.ByteBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.DoubleBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.IntBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            java.nio.ShortBuffer row,
                                            java.nio.ShortBuffer column,
                                            java.nio.ShortBuffer span)

### glGetSeparableFilter

    public static void glGetSeparableFilter(int target,
                                            int format,
                                            int type,
                                            long row_buffer_offset,
                                            long column_buffer_offset,
                                            long span_buffer_offset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.